package com.sd.business.controller.artwork;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.artwork.dto.ArtworkLibraryDto;
import com.sd.business.entity.artwork.dto.ArtworkLibrarySelectDto;
import com.sd.business.entity.artwork.vo.ArtworkLibraryVo;
import com.sd.business.service.artwork.ArtworkLibraryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 图稿库 前端控制器
 * </p>
 *
 * @author
 * @since 2023-08-02
 */
@RestController
@RequestMapping("/artworkLibrary")
public class ArtworkLibraryController {

    @Autowired
    private ArtworkLibraryService artworkLibraryService;

    /**
     * 图稿库分页
     */
    @PostMapping("/page")
    public Page<ArtworkLibraryVo> page(@RequestBody ArtworkLibrarySelectDto dto) {
        return artworkLibraryService.getPage(dto);
    }

    /**
     * 图稿库明细
     */
    @PostMapping("/detail")
    public ArtworkLibraryVo detail(@RequestBody BaseSelectDto dto) {
        return artworkLibraryService.detail(dto.getId());
    }

    /**
     * 图稿库新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody ArtworkLibraryDto artworkLibraryDto) {
        artworkLibraryService.add(artworkLibraryDto);
    }

    /**
     * 图稿库编辑
     */
    @PostMapping("/edit")
    public void edit(@Validated @RequestBody ArtworkLibraryDto artworkLibraryDto) {
        artworkLibraryService.edit(artworkLibraryDto);
    }

    /**
     * 图稿库删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        artworkLibraryService.delete(dto.getId());
    }

}
