package com.sd.business.controller.bom;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.bom.dto.BomClassifyDto;
import com.sd.business.entity.bom.dto.BomClassifySelectDto;
import com.sd.business.entity.bom.vo.BomClassifyVo;
import com.sd.business.service.bom.BomClassifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * bom分类 前端控制器
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@RestController
@RequestMapping("/bomClassify")
public class BomClassifyController {

    @Autowired
    private BomClassifyService bomClassifyService;

    /**
     * bom分类树形
     */
    @PostMapping("/tree")
    public List<JSONObject> tree(@RequestBody BomClassifySelectDto dto) {
        return bomClassifyService.tree(dto);
    }

    /**
     * bom分类明细
     */
    @PostMapping("/detail")
    public BomClassifyVo detail(@RequestBody BaseSelectDto dto) {
        return bomClassifyService.detail(dto.getId());
    }

    /**
     * bom分类新增
     */
    @PostMapping("/add")
    public void add(@RequestBody BomClassifyDto bomClassifyDto) {
        bomClassifyService.add(bomClassifyDto);
    }

    /**
     * bom分类编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody BomClassifyDto bomClassifyDto) {
        bomClassifyService.edit(bomClassifyDto);
    }

    /**
     * bom分类删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        bomClassifyService.delete(dto.getId());
    }

}
