package com.sd.business.controller.craft;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.craft.dto.CraftProcessDto;
import com.sd.business.entity.craft.dto.CraftProcessSelectDto;
import com.sd.business.entity.craft.vo.CraftProcessVo;
import com.sd.business.service.craft.CraftProcessService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 工艺_工序 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
@RestController
@RequestMapping("/craftProcess")
public class CraftProcessController {

    @Autowired
    private CraftProcessService craftProcessService;

    /**
     * 工艺_工序分页
     */
    @PostMapping("/page")
    public Page<CraftProcessVo> page(@RequestBody CraftProcessSelectDto dto) {
        return craftProcessService.getPage(dto);
    }

    /**
     * 工艺_工序明细
     */
    @PostMapping("/detail")
    public CraftProcessVo detail(@RequestBody BaseSelectDto dto) {
        return craftProcessService.detail(dto.getId());
    }

    /**
     * 工艺_工序新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody CraftProcessDto craftProcessDto) {
        craftProcessService.add(craftProcessDto);
    }

    /**
     * 工艺_工序编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody CraftProcessDto craftProcessDto) {
        craftProcessService.edit(craftProcessDto);
    }

    /**
     * 工艺_工序删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        craftProcessService.delete(dto.getId());
    }

}
