package com.sd.business.controller.craft;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.craft.dto.CraftProductionLineDto;
import com.sd.business.entity.craft.dto.CraftProductionLineSelectDto;
import com.sd.business.entity.craft.vo.CraftProductionLineVo;
import com.sd.business.service.craft.CraftProductionLineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 工艺_产线 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-26
 */
@RestController
@RequestMapping("/craftProductionLine")
public class CraftProductionLineController {

    @Autowired
    private CraftProductionLineService craftProductionLineService;

    /**
     * 工艺_产线分页
     */
    @PostMapping("/page")
    public Page<CraftProductionLineVo> page(@RequestBody CraftProductionLineSelectDto dto) {
        return craftProductionLineService.getPage(dto);
    }

    /**
     * 工艺_产线明细
     */
    @PostMapping("/detail")
    public CraftProductionLineVo detail(@RequestBody BaseSelectDto dto) {
        return craftProductionLineService.detail(dto.getId());
    }

    /**
     * 工艺_产线新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody CraftProductionLineDto craftProductionLineDto) {
        craftProductionLineService.add(craftProductionLineDto);
    }

    /**
     * 工艺_产线编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody CraftProductionLineDto craftProductionLineDto) {
        craftProductionLineService.edit(craftProductionLineDto);
    }

    /**
     * 工艺_产线删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        craftProductionLineService.delete(dto.getId());
    }

}
