package com.sd.business.controller.equipment;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.equipment.dto.EquipmentDto;
import com.sd.business.entity.equipment.dto.EquipmentSelectDto;
import com.sd.business.entity.equipment.vo.EquipmentVo;
import com.sd.business.service.equipment.EquipmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 设备 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
@RestController
@RequestMapping("/equipment")
public class EquipmentController {

    @Autowired
    private EquipmentService equipmentService;

    /**
     * 设备分页
     */
    @PostMapping("/page")
    public Page<EquipmentVo> page(@RequestBody EquipmentSelectDto dto) {
        return equipmentService.getPage(dto);
    }

    /**
     * 设备明细
     */
    @PostMapping("/detail")
    public EquipmentVo detail(@RequestBody BaseSelectDto dto) {
        return equipmentService.detail(dto.getId());
    }

    /**
     * 设备新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody EquipmentDto equipmentDto) {
        equipmentService.add(equipmentDto);
    }

    /**
     * 设备编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody EquipmentDto equipmentDto) {
        equipmentService.edit(equipmentDto);
    }

    /**
     * 设备删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        equipmentService.delete(dto.getId());
    }

}
