package com.sd.business.controller.express;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.express.dto.ExpressDeliveryDto;
import com.sd.business.entity.express.dto.ExpressDeliverySelectDto;
import com.sd.business.entity.express.vo.ExpressDeliveryVo;
import com.sd.business.service.express.ExpressDeliveryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 快递网点 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-21
 */
@RestController
@RequestMapping("/expressDelivery")
public class ExpressDeliveryController {

    @Autowired
    private ExpressDeliveryService expressDeliveryService;

    /**
     * 快递网点分页
     */
    @PostMapping("/page")
    public Page<ExpressDeliveryVo> page(@RequestBody ExpressDeliverySelectDto dto) {
        return expressDeliveryService.getPage(dto);
    }

    /**
     * 快递网点明细
     */
    @PostMapping("/detail")
    public ExpressDeliveryVo detail(@RequestBody BaseSelectDto dto) {
        return expressDeliveryService.detail(dto.getId());
    }

    /**
     * 快递网点新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ExpressDeliveryDto expressDeliveryDto) {
        expressDeliveryService.add(expressDeliveryDto);
    }

    /**
     * 快递网点编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ExpressDeliveryDto expressDeliveryDto) {
        expressDeliveryService.edit(expressDeliveryDto);
    }

    /**
     * 快递网点删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        expressDeliveryService.delete(dto.getId());
    }

}
