package com.sd.business.controller.in;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.in.dto.InOutStorageBomDto;
import com.sd.business.entity.in.dto.InOutStorageBomSelectDto;
import com.sd.business.entity.in.vo.InOutStorageBomVo;
import com.sd.business.service.in.InOutStorageBomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 出入库bom 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@RestController
@RequestMapping("/inOutStorageBom")
public class InOutStorageBomController {

    @Autowired
    private InOutStorageBomService inOutStorageBomService;

    /**
     * 出入库bom分页
     */
    @PostMapping("/page")
    public Page<InOutStorageBomVo> page(@RequestBody InOutStorageBomSelectDto dto) {
        return inOutStorageBomService.getPage(dto);
    }

    /**
     * 出入库bom明细
     */
    @PostMapping("/detail")
    public InOutStorageBomVo detail(@RequestBody BaseSelectDto dto) {
        return inOutStorageBomService.detail(dto.getId());
    }

    /**
     * 出入库bom新增
     */
    @PostMapping("/add")
    public void add(@RequestBody InOutStorageBomDto inOutStorageBomDto) {
        inOutStorageBomService.add(inOutStorageBomDto);
    }

    /**
     * 出入库bom编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody InOutStorageBomDto inOutStorageBomDto) {
        inOutStorageBomService.edit(inOutStorageBomDto);
    }

    /**
     * 出入库bom删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        inOutStorageBomService.delete(dto.getId());
    }

}
