package com.sd.business.controller.inventory;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.exception.ServiceException;
import com.sd.business.entity.inventory.dto.InventorySelectDto;
import com.sd.business.entity.inventory.vo.InventoryBackupVo;
import com.sd.business.entity.inventory.vo.InventoryVo;
import com.sd.business.service.inventory.InventoryBackupService;
import com.sd.business.service.inventory.InventoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;


/**
 * <p>
 * 库存快照 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@RestController
@RequestMapping("/inventoryBackup")
public class InventoryBackupController {

    @Autowired
    private InventoryBackupService inventoryBackupService;

    @Autowired
    private InventoryService inventoryService;

    /**
     * 库存分页
     */
    @PostMapping("/page")
    public Page<InventoryBackupVo> page(@RequestBody InventorySelectDto dto) {
        return inventoryBackupService.getPage(dto);
    }

    /**
     * 库存分页
     */
    @PostMapping("/detailPage")
    public Page<InventoryVo> detailPage(@RequestBody InventorySelectDto dto) {
        Date backupDate = dto.getBackupDate();
        if (backupDate == null) {
            throw new ServiceException("备份日期不能为空");
        }

        dto.setBackupDate(DateUtil.offsetDay(backupDate, -1));
        return inventoryService.getPage(dto, "inventory_backup");
    }

}
