package com.sd.business.controller.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.inventory.dto.InventorySelectDto;
import com.sd.business.entity.inventory.dto.QuantityByWarehouseDto;
import com.sd.business.entity.inventory.vo.InventoryVo;
import com.sd.business.entity.inventory.vo.QuantityByDepartmentVo;
import com.sd.business.entity.inventory.vo.QuantityByWarehouseVo;
import com.sd.business.service.inventory.InventoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 库存 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@RestController
@RequestMapping("/inventory")
public class InventoryController {

    @Autowired
    private InventoryService inventoryService;

    /**
     * 库存分页
     */
    @PostMapping("/page")
    public Page<InventoryVo> page(@RequestBody InventorySelectDto dto) {
        dto.setBackupDate(null);
        return inventoryService.getPage(dto, "inventory");
    }

    /**
     * 根据仓库获取库存数量
     */
    @PostMapping("/getQuantityByWarehouse")
    public List<QuantityByWarehouseVo> getQuantityByWarehouse(@RequestBody QuantityByWarehouseDto dto) {
        return inventoryService.getQuantityByWarehouse(dto);
    }

    /**
     * 根据事业部获取库存数量
     */
    @PostMapping("/getQuantityByDepartment")
    public List<QuantityByDepartmentVo> getQuantityByDepartment() {
        return inventoryService.getQuantityByDepartment();
    }

}
