package com.sd.business.controller.lend;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.lend.dto.LendDto;
import com.sd.business.entity.lend.dto.LendSelectDto;
import com.sd.business.entity.lend.vo.LendVo;
import com.sd.business.service.lend.LendService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 借出单 前端控制器
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@RestController
@RequestMapping("/lend")
public class LendController {

    @Autowired
    private LendService lendService;

    /**
     * 借出单分页
     */
    @PostMapping("/page")
    public Page<LendVo> page(@RequestBody LendSelectDto dto) {
        return lendService.getPage(dto);
    }

    /**
     * 借出单明细
     */
    @PostMapping("/detail")
    public LendVo detail(@RequestBody BaseSelectDto dto) {
        return lendService.detail(dto.getId());
    }

    /**
     * 借出单编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody LendDto lendDto) {
        lendService.edit(lendDto);
    }

}
