package com.sd.business.controller.outbound;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.outbound.dto.OutboundOrderDto;
import com.sd.business.entity.outbound.dto.OutboundOrderSelectDto;
import com.sd.business.entity.outbound.vo.OutboundOrderVo;
import com.sd.business.service.outbound.OutboundOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 出库单 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-27
 */
@RestController
@RequestMapping("/outboundOrder")
public class OutboundOrderController {

    @Autowired
    private OutboundOrderService outboundOrderService;

    /**
     * 出库单分页
     */
    @PostMapping("/page")
    public Page<OutboundOrderVo> page(@RequestBody OutboundOrderSelectDto dto) {
        return outboundOrderService.getPage(dto);
    }

    /**
     * 出库单明细
     */
    @PostMapping("/detail")
    public OutboundOrderVo detail(@RequestBody BaseSelectDto dto) {
        return outboundOrderService.detail(dto.getId());
    }

    /**
     * 出库单新增
     */
    @PostMapping("/add")
    public void add(@RequestBody OutboundOrderDto outboundOrderDto) {
        outboundOrderService.add(outboundOrderDto);
    }

    /**
     * 出库单编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody OutboundOrderDto outboundOrderDto) {
        outboundOrderService.edit(outboundOrderDto);
    }

    /**
     * 出库单删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        outboundOrderService.delete(dto.getId());
    }

}
