package com.sd.business.controller.price;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.bom.dto.BomSelectDto;
import com.sd.business.entity.bom.vo.BomVo;
import com.sd.business.entity.price.dto.PriceSystemDto;
import com.sd.business.entity.price.dto.PriceSystemSelectDto;
import com.sd.business.entity.price.vo.PriceSystemVo;
import com.sd.business.service.price.PriceSystemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 售价_售价体系 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
@RestController
@RequestMapping("/priceSystem")
public class PriceSystemController {

    @Autowired
    private PriceSystemService priceSystemService;

    /**
     * 售价_售价体系分页
     */
    @PostMapping("/page")
    public Page<PriceSystemVo> page(@RequestBody PriceSystemSelectDto dto) {
        return priceSystemService.getPage(dto);
    }

    /**
     * 售价_售价体系明细
     */
    @PostMapping("/detail")
    public PriceSystemVo detail(@RequestBody BaseSelectDto dto) {
        return priceSystemService.detail(dto.getId());
    }

    /**
     * 售价_售价体系新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PriceSystemDto priceSystemDto) {
        priceSystemService.add(priceSystemDto);
    }

    /**
     * 售价_售价体系编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PriceSystemDto priceSystemDto) {
        priceSystemService.edit(priceSystemDto);
    }

    /**
     * 售价_售价体系删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        priceSystemService.delete(dto.getId());
    }

    /**
     * 售价配置分页
     */
    @PostMapping("/getBomPriceDetail")
    public Page<BomVo> getBomPriceDetail(@RequestBody BomSelectDto dto) {
        return priceSystemService.getBomPriceDetail(dto);
    }

}
