package com.sd.business.controller.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.sku.dto.SkuDto;
import com.sd.business.entity.sku.dto.SkuSelectDto;
import com.sd.business.entity.sku.vo.SkuVo;
import com.sd.business.service.sku.SkuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * sku 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-07-03
 */
@RestController
@RequestMapping("/sku")
public class SkuController {

    @Autowired
    private SkuService skuService;

    /**
     * sku分页
     */
    @PostMapping("/page")
    public Page<SkuVo> page(@RequestBody SkuSelectDto dto) {
        return skuService.getPage(dto);
    }

    /**
     * sku明细
     */
    @PostMapping("/detail")
    public SkuVo detail(@RequestBody BaseSelectDto dto) {
        return skuService.detail(dto.getId());
    }

    /**
     * sku新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody SkuDto skuDto) {
        skuService.add(skuDto);
    }

    /**
     * sku编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SkuDto skuDto) {
        skuService.edit(skuDto);
    }

    /**
     * sku删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        skuService.delete(dto.getId());
    }

}
