package com.sd.business.controller.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.sku.dto.SkuSpecLinkDto;
import com.sd.business.entity.sku.dto.SkuSpecLinkSelectDto;
import com.sd.business.entity.sku.vo.SkuSpecLinkVo;
import com.sd.business.service.sku.SkuSpecLinkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * sku规格关联 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-07
 */
@RestController
@RequestMapping("/skuSpecLink")
public class SkuSpecLinkController {

    @Autowired
    private SkuSpecLinkService skuSpecLinkService;

    /**
     * sku规格关联分页
     */
    @PostMapping("/page")
    public Page<SkuSpecLinkVo> page(@RequestBody SkuSpecLinkSelectDto dto) {
        return skuSpecLinkService.getPage(dto);
    }

    /**
     * sku规格关联明细
     */
    @PostMapping("/detail")
    public SkuSpecLinkVo detail(@RequestBody BaseSelectDto dto) {
        return skuSpecLinkService.detail(dto.getId());
    }

    /**
     * sku规格关联新增
     */
    @PostMapping("/add")
    public void add(@RequestBody SkuSpecLinkDto skuSpecLinkDto) {
        skuSpecLinkService.add(skuSpecLinkDto);
    }

    /**
     * sku规格关联编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SkuSpecLinkDto skuSpecLinkDto) {
        skuSpecLinkService.edit(skuSpecLinkDto);
    }

    /**
     * sku规格关联删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        skuSpecLinkService.delete(dto.getId());
    }

}
