package com.sd.business.controller.statement;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.annotation.NonInterception;
import com.sd.business.entity.statement.dto.ExportDocumentDto;
import com.sd.business.entity.statement.dto.GetDocumentDto;
import com.sd.business.entity.statement.dto.StatementOfAccountMergePageDto;
import com.sd.business.entity.statement.vo.DocumentByBomVo;
import com.sd.business.entity.statement.vo.DocumentByOrderVo;
import com.sd.business.entity.statement.vo.DocumentBySkuVo;
import com.sd.business.entity.statement.vo.StatementOfAccountMergePageVo;
import com.sd.business.service.statement.StatementOfAccountMergeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * <p>
 * 对账单 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-31
 */
@RestController
@RequestMapping("/statementOfAccountMerge")
public class StatementOfAccountMergeController {

    @Autowired
    private StatementOfAccountMergeService statementOfAccountMergeService;

    /**
     * 对账报表分页
     */
    @PostMapping("/page")
    public Page<StatementOfAccountMergePageVo> page(@Validated @RequestBody StatementOfAccountMergePageDto dto) {
        return statementOfAccountMergeService.getPage(dto);
    }

    /**
     * sku对账
     */
    @PostMapping("/getDocumentBySku")
    public List<DocumentBySkuVo> getDocumentBySku(@RequestBody GetDocumentDto dto) {
        return statementOfAccountMergeService.getDocumentBySku(dto);
    }

    /**
     * bom对账
     */
    @PostMapping("/getDocumentByBom")
    public List<DocumentByBomVo> getDocumentByBom(@RequestBody GetDocumentDto dto) {
        return statementOfAccountMergeService.getDocumentByBom(dto);
    }

    /**
     * 订单对账
     */
    @PostMapping("/getDocumentByOrder")
    public List<DocumentByOrderVo> getDocumentByOrder(@RequestBody GetDocumentDto dto) {
        return statementOfAccountMergeService.getDocumentByOrder(dto);
    }

    /**
     * 导出sku对账单
     */
    @NonInterception
    @GetMapping("/exportDocumentBySku")
    public void exportDocumentBySku(@Validated ExportDocumentDto dto) {
        statementOfAccountMergeService.export(dto, 1);
    }

    /**
     * 导出bom对账单
     */
    @NonInterception
    @GetMapping("/exportDocumentByBom")
    public void exportDocumentByBom(@Validated ExportDocumentDto dto) {
        statementOfAccountMergeService.export(dto, 2);
    }

    /**
     * 导出订单对账单
     */
    @NonInterception
    @GetMapping("/exportDocumentByOrder")
    public void exportDocumentByOrder(@Validated ExportDocumentDto dto) {
        statementOfAccountMergeService.export(dto, 3);
    }

}
