package com.sd.business.entity.bom.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * bom分类
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
@TableName("bom_classify")
public class BomClassify extends BasePo {

    /**
     * 上级分类id
     */
    @NotNull(message = "上级分类id不能为空")
    private Long parentId;

    /**
     * 分类名称
     */
    @NotBlank(message = "分类名称不能为空")
    private String name;

    /**
     * 分类编码
     */
    @NotBlank(message = "分类编码不能为空")
    private String code;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 备注
     */
    private String remark;

}
