package com.sd.business.entity.check.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 盘点
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
@TableName("`check`")
public class Check extends BasePo {

    /**
     * 事业部id
     */
    @NotNull(message = "事业部id不能为空")
    private Long departmentId;

    /**
     * 仓库id
     */
    @NotNull(message = "仓库id不能为空")
    private Long warehouseId;

    /**
     * 盘点人
     */
    @NotBlank(message = "盘点人不能为空")
    private String checkTaker;

    /**
     * 状态 0正常 1异常
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

}
