package com.sd.business.entity.check.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 盘点bom
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
@TableName("check_bom")
public class CheckBom extends BasePo {

    /**
     * 盘点id
     */
    private Long checkId;

    /**
     * bom规格id
     */
    @NotNull(message = "bom规格id不能为空")
    private Long bomSpecId;

    /**
     * 剩余库存
     */
    @NotNull(message = "剩余库存不能为空")
    private BigDecimal surplusStock;

    /**
     * 盘点数量
     */
    @NotNull(message = "盘点数量不能为空")
    private BigDecimal checkQuantity;

    /**
     * 状态 1正常 2盘盈 3盘亏
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

}
