package com.sd.business.entity.craft.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 工艺_工序
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
@Getter
@Setter
@TableName("craft_process")
public class CraftProcess extends BasePo {

    /**
     * 工序编码
     */
    @NotBlank(message = "工序编码不能为空")
    private String code;

    /**
     * 工序名称
     */
    @NotBlank(message = "工序名称不能为空")
    private String name;

    /**
     * 标准工时（秒）
     */
    @NotNull(message = "标准工时不能为空")
    private Integer manHour;

    /**
     * 备注
     */
    private String remark;

}
