package com.sd.business.entity.craft.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 工艺_产线
 * </p>
 *
 * @author
 * @since 2023-07-26
 */
@Getter
@Setter
@TableName("craft_production_line")
public class CraftProductionLine extends BasePo {

    /**
     * 产线编码
     */
    @NotBlank(message = "产线编码不能为空")
    private String code;

    /**
     * 产线名称
     */
    @NotBlank(message = "产线名称不能为空")
    private String name;

    /**
     * 是否批量模式：1是 0否
     */
    @NotNull(message = "是否批量模式不能为空")
    private Integer batchMode;

    /**
     * 备注
     */
    private String remark;

}
