package com.sd.business.entity.equipment.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 设备
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
@Getter
@Setter
@TableName("equipment")
public class Equipment extends BasePo {

    /**
     * 设备编码
     */
    @NotBlank(message = "设备编码不能为空")
    private String code;

    /**
     * 设备名称
     */
    @NotBlank(message = "设备名称不能为空")
    private String name;

    /**
     * 工序id
     */
    @NotNull(message = "工序id不能为空")
    private Long craftProcessId;

    /**
     * 规格
     */
    private String spec;

    /**
     * 制造商
     */
    private String manufacturer;

    /**
     * 制造商电话
     */
    private String manufacturerTelephone;

    /**
     * 生产日期
     */
    private Date productionDate;

    /**
     * 生产编号
     */
    private String productionNumber;

    /**
     * 备注
     */
    private String remark;

}
