package com.sd.business.entity.in.dto;

import com.sd.business.entity.in.po.InOutStorageBom;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class AddAllotDto {

    /**
     * 调入仓库id
     */
    @NotNull(message = "调入仓库id不能为空")
    private Long inWarehouseId;

    /**
     * 调出仓库id
     */
    @NotNull(message = "调出仓库id不能为空")
    private Long outWarehouseId;

    /**
     * 事业部id
     */
    @NotNull(message = "事业部id不能为空")
    private Long departmentId;

    /**
     * 申请人
     */
    @NotBlank(message = "申请人不能为空")
    private String applicant;

    /**
     * 备注
     */
    private String remark;

    @Valid
    @NotEmpty(message = "物料信息不能为空")
    private List<InOutStorageBom> inOutStorageBomList;

}
