package com.sd.business.entity.in.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * 出入库列表查询入参实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class InOutStorageSelectDto extends BaseSelectDto {

    /**
     * 类型 1入库 0出库
     */
    @NotNull(message = "出入库类型不能为空")
    private Integer type;

    /**
     * 出入库单号
     */
    private String code;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 出入库明细
     */
    private Integer detailType;

}
