package com.sd.business.entity.in.emums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum InDetailTypeEnum {

    PURCHASE(1, "采购入库"),
    PRODUCTION(2, "生产入库"),
    RETURN_GOODS(3, "退货入库"),
    GIVE_BACK(4, "归还入库"),
    ALLOT(5, "调拨入库"),
    OTHER(6, "其他入库"),
    ABANDON(7, "废弃入库"),
    CHECK(8, "盘点修正"),
    ;

    private static final Map<Integer, InDetailTypeEnum> map = new HashMap<>();

    static {
        for (InDetailTypeEnum inDetailTypeEnum : InDetailTypeEnum.values()) {
            map.put(inDetailTypeEnum.getKey(), inDetailTypeEnum);
        }
    }

    private final Integer key;
    private final String value;

    public static InDetailTypeEnum getInDetailType(Integer key) {
        InDetailTypeEnum inDetailTypeEnum = map.get(key);
        if (inDetailTypeEnum == null) {
            throw new ServiceException("未知出入库类型");
        }
        return inDetailTypeEnum;
    }

}
