package com.sd.business.entity.in.emums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum InOutTypeEnum {

    IN(1, "入库"),
    OUT(0, "出库");

    private static final Map<Integer, InOutTypeEnum> map = new HashMap<>();

    static {
        for (InOutTypeEnum inOutTypeEnum : InOutTypeEnum.values()) {
            map.put(inOutTypeEnum.getKey(), inOutTypeEnum);
        }
    }

    private final Integer key;
    private final String value;

    public static InOutTypeEnum getInOutType(Integer key) {
        InOutTypeEnum inOutTypeEnum = map.get(key);
        if (inOutTypeEnum == null) {
            throw new ServiceException("未知出入库类型");
        }
        return inOutTypeEnum;
    }

}
