package com.sd.business.entity.in.emums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum OutDetailTypeEnum {

    PRODUCTION(1, "生产出库"),
    SELL(2, "销售出库"),
    ALLOT(3, "调拨出库"),
    INVENTORY_LOSS(4, "盘亏出库"),
    HELP_ONESELF(5, "自用出库"),
    OTHER(6, "其他出库"),
    CHECK(7, "盘点修正"),
    PURCHASE(8, "采购退货"),
    ;

    private static final Map<Integer, OutDetailTypeEnum> map = new HashMap<>();

    static {
        for (OutDetailTypeEnum outDetailTypeEnum : OutDetailTypeEnum.values()) {
            map.put(outDetailTypeEnum.getKey(), outDetailTypeEnum);
        }
    }

    private final Integer key;
    private final String value;

    public static OutDetailTypeEnum getOutDetailType(Integer key) {
        OutDetailTypeEnum outDetailTypeEnum = map.get(key);
        if (outDetailTypeEnum == null) {
            throw new ServiceException("未知出入库类型");
        }
        return outDetailTypeEnum;
    }

}
