package com.sd.business.entity.in.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 出入库
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
@TableName("in_out_storage")
public class InOutStorage extends BasePo {

    /**
     * 类型 1入库 0出库
     */
    @NotNull(message = "出入库类型不能为空")
    private Integer type;

    /**
     * 出入库明细
     */
    @NotNull(message = "出入库明细类型不能为空")
    private Integer detailType;

    /**
     * 出入库单号
     */
    private String code;

    /**
     * 采购合同id
     */
    private Long purchaseId;

    /**
     * 仓库id
     */
    @NotNull(message = "仓库id不能为空")
    private Long warehouseId;

    /**
     * 事业部id
     */
    @NotNull(message = "事业部id不能为空")
    private Long departmentId;

    /**
     * 申请人
     */
    @NotBlank(message = "申请人不能为空")
    private String applicant;

    /**
     * 备注
     */
    private String remark;

    /**
     * 调仓标记
     */
    private Long allotFlag;

}
