package com.sd.business.entity.in.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import com.sd.business.entity.inventory.bo.InOutFun;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 出入库bom
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
@TableName("in_out_storage_bom")
public class InOutStorageBom extends BasePo implements InOutFun {

    /**
     * 出入库id
     */
    private Long inOutStorageId;

    /**
     * bom规格id
     */
    @NotNull(message = "bom规格id不能为空")
    private Long bomSpecId;

    /**
     * 数量
     */
    @NotNull(message = "出入库数量不能为空")
    @DecimalMin(value = "0.01", message = "出入库数量必须大于0")
    private BigDecimal quantity;


}
