package com.sd.business.entity.order.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 订单列表查询入参实体
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
public class OrderSelectDto extends BaseSelectDto {

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 事业部名称
     */
    private String departmentName;

    /**
     * 订单号
     */
    private String code;

    /**
     * 万里牛订单号
     */
    private String wlnCode;

    /**
     * 进度 {@link com.sd.business.entity.order.enums.OrderStatusEnum}
     */
    private Integer status;

    /**
     * 结算状态 1未结算 2已对账 3已结算
     */
    private Integer settlementStatus;

    /**
     * 是否关联对账单
     */
    private Integer linkedStatementOfAccount;

    /**
     * 异常订单，1是 0否
     */
    private Integer exception;

}
