package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 订单sku bom 关联
 * </p>
 *
 * @author
 * @since 2023-07-24
 */
@Getter
@Setter
@TableName("order_package_bom")
public class OrderPackageBom extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * bom规格id
     */
    @NotNull(message = "包装bom规格id不能为空")
    private Long bomSpecId;

    /**
     * 成本价
     */
    @NotNull(message = "成本价不能为空")
    private BigDecimal costPrice;

    /**
     * 对内销售价
     */
    @NotNull(message = "对内销售价不能为空")
    private BigDecimal internalSellingPrice;

    /**
     * 数量
     */
    @NotNull(message = "包装数量不能为空")
    private BigDecimal quantity;

}
