package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 订单sku bom 关联
 * </p>
 *
 * @author
 * @since 2023-07-10
 */
@Getter
@Setter
@TableName("order_sku_bom")
public class OrderSkuBom extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单sku id
     */
    private Long orderSkuId;

    /**
     * bom规格id
     */
    @NotNull(message = "bom规格id不能为空")
    private Long bomSpecId;

    /**
     * 单价
     */
    @NotNull(message = "单价不能为空")
    private BigDecimal unitPrice;

    /**
     * 数量
     */
    @NotNull(message = "数量不能为空")
    private BigDecimal quantity;

}
