package com.sd.business.entity.order.vo;

import com.sd.business.entity.order.po.OrderSku;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 订单sku列表查询返回值实体
 *
 * @author
 * @since 2023-07-06
 */
@Getter
@Setter
public class OrderSkuVo extends OrderSku {

    /**
     * 品名
     */
    private String name;

    /**
     * 品号
     */
    private String code;

    /**
     * bom品名
     */
    private String bomName;

    /**
     * bom品号
     */
    private String bomCode;

    /**
     * 包材配件
     */
    private List<OrderSkuBomVo> orderSkuBomList;

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 万里牛订单号
     */
    private String orderWlnCode;

    /**
     * 订单状态 {@link com.sd.business.entity.order.enums.OrderStatusEnum}
     */
    private Integer orderStatus;

    /**
     * 订单结算状态 1未结算 2已对账 3已结算
     */
    private String orderSettlementStatus;

    /**
     * 订单总金额
     */
    private BigDecimal orderTotalAmount;

    /**
     * 下单时间
     */
    private Date wlnCreateTime;

    /**
     * sku规格编码
     */
    private String skuSpecCode;

    /**
     * sku规格名称
     */
    private String skuSpecName;

    /**
     * bom规格名称
     */
    private String bomSpecName;

    /**
     * bom规格编码
     */
    private String bomSpecCode;

    /**
     * 事业部名称
     */
    private String departmentName;

}
