package com.sd.business.entity.price.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 加工计费标准明细
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
@Getter
@Setter
@TableName("price_billing_standard_detail")
public class PriceBillingStandardDetail extends BasePo {

    /**
     * 加工计费标准id
     */
    private Long priceBillingStandardId;

    /**
     * 收费项目 字典:charge_item
     */
    @NotBlank(message = "收费项目不能为空")
    private String chargeItem;

    /**
     * 收费模式 字典:charge_mode
     */
    @NotBlank(message = "收费模式不能为空")
    private String chargeMode;

    /**
     * 收费模式数值区间最小值
     */
    @NotNull(message = "收费模式数值区间最小值不能为空")
    private BigDecimal sectionMin;

    /**
     * 收费模式数值区间最大值
     */
    @NotNull(message = "收费模式数值区间最大值不能为空")
    private BigDecimal sectionMax;

    /**
     * 收费价格
     */
    @NotNull(message = "收费价格不能为空")
    private BigDecimal chargePrice;

    /**
     * 成本价格
     */
    @NotNull(message = "成本价格不能为空")
    private BigDecimal costPrice;

    /**
     * 排序
     */
    @NotNull(message = "排序不能为空")
    private Integer sort;

}
