package com.sd.business.entity.price.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * <p>
 * 售价_售价体系bom规格关联
 * </p>
 *
 * @author
 * @since 2023-07-12
 */
@Getter
@Setter
@TableName("price_system_bom_spec")
public class PriceSystemBomSpec extends BasePo {

    /**
     * 售价体系id
     */
    @NotNull(message = "售价体系id不能为空")
    private Long priceSystemId;

    /**
     * bom规格id
     */
    @NotNull(message = "bom规格id不能为空")
    private Long bomSpecId;

    /**
     * 对内销售价(含税)
     */
    @NotNull(message = "对内销售价不能为空")
    private BigDecimal internalSellingPrice;

    /**
     * 对外销售价(含税)
     */
    @NotNull(message = "对外销售价不能为空")
    private BigDecimal externalSellingPrice;

}
