package com.sd.business.entity.production.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 生产任务
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
@Getter
@Setter
@TableName("production_task")
public class ProductionTask extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 工艺产线id
     */
    private Long craftProductionLineId;

    /**
     * 加工面板 字典:charge_item
     */
    private String machinedPanel;

    /**
     * 打印 1单面 2 双面
     */
    private Integer printType;

    /**
     * 生产数量
     */
    private BigDecimal productionQuantity;

    /**
     * 完成数量
     */
    private BigDecimal completeQuantity;

    /**
     * 完成时间
     */
    private Date completeTime;

}
