package com.sd.business.entity.production.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

@Getter
@Setter
public class ProductionOrderDetailVo {

    /**
     * 一键包装产品
     */
    private List<SkuSpec> skuSpecList;

    /**
     * 一键包装快递包材
     */
    private List<OrderPackage> packageList;


    @Getter
    @Setter
    public static class SkuSpec {

        /**
         * sku规格id
         */
        private Long skuSpecId;

        /**
         * sku规格编号
         */
        private String skuSpecCode;

        /**
         * sku规格名称
         */
        private String skuSpecName;

        /**
         * 数量
         */
        private BigDecimal quantity;

    }

    @Getter
    @Setter
    public static class OrderPackage {

        /**
         * bom规格id
         */
        private Long bomSpecId;

        /**
         * bom规格编号
         */
        private String bomSpecCode;

        /**
         * bom规格名称
         */
        private String bomSpecName;

        /**
         * 数量
         */
        private BigDecimal quantity;

        /**
         * 成本价
         */
        private BigDecimal costPrice;

        /**
         * 对内销售价(含税)
         */
        private BigDecimal internalSellingPrice;

    }

}
