package com.sd.business.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 采购合同
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
@TableName("purchase")
public class Purchase extends BasePo {

    /**
     * 采购合同编号
     */
    private String code;

    /**
     * 申购单id
     */
    private Long applyBuyId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 详细地址
     */
    private String detailedAddress;

    /**
     * 联系人
     */
    private String contactPerson;

    /**
     * 联系人电话
     */
    private String contactNumber;

    /**
     * 收获类型 1供应商运输 2自取
     */
    private Integer receiveGoodsType;

    /**
     * 收货省
     */
    private String receiveProvince;

    /**
     * 收货市
     */
    private String receiveCity;

    /**
     * 收货详细地址
     */
    private String receiveDetailedAddress;

    /**
     * 收货邮编
     */
    private String receivePostcode;

    /**
     * 收货联系人
     */
    private String receiveContactPerson;

    /**
     * 收货联系人电话
     */
    private String receiveContactNumber;

    /**
     * 结算方式 字典:settlement_method
     */
    private String settlementMethod;

    /**
     * 发票类型 字典:invoice_type
     */
    private String invoiceType;

    /**
     * 交付日期
     */
    private Date deliveryDate;

    /**
     * 币种 字典:currency
     */
    private String currency;

    /**
     * 预付款（百分比）
     */
    private BigDecimal advancePayment;

    /**
     * 含税总金额
     */
    private BigDecimal totalAmountIncludingTax;

    /**
     * 不含税总金额
     */
    private BigDecimal totalAmountExcludingTax;

    /**
     * 合同模板id
     */
    private Long contractTemplateId;

    /**
     * 合同内容
     */
    private String contract;

    /**
     * 退货总金额
     */
    private BigDecimal returnAmount;

    /**
     * 已结清金额
     */
    private BigDecimal closedAccountAmount;

    /**
     * 已抵扣金额
     */
    private BigDecimal deductibleAmount;

    /**
     * 采购付款状态 0未结清 1已结清
     */
    private Integer paymentStatus;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程状态 0未发起 1进行中 2已通过 3已驳回
     */
    private Integer flowStatus;

}
