package com.sd.business.entity.statement.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Getter
@Setter
@Builder
public class DocumentByOrderVo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 万里牛订单创建时间
     */
    private Date wlnCreateTime;

    /**
     * 订单号
     */
    private String code;

    /**
     * 万里牛订单号
     */
    private String wlnCode;

    /**
     * 占位符
     */
    private Integer placeholder;

    /**
     * sku规格列表
     */
    private List<SkuSpec> skuSpecList;

    @Getter
    @Setter
    @Builder
    public static class SkuSpec {

        /**
         * 订单id
         */
        private Long orderId;

        /**
         * 订单sku id
         */
        private Long orderSkuId;

        /**
         * sku规格id
         */
        private Long skuSpecId;

        /**
         * sku规格品号
         */
        private String skuSpecCode;

        /**
         * sku规格品名
         */
        private String skuSpecName;

        /**
         * 数量
         */
        private BigDecimal quantity;

        /**
         * sku单价
         */
        private BigDecimal unitPrice;

        /**
         * 小计
         */
        private BigDecimal subtotal;

        /**
         * 合计
         */
        private BigDecimal total;

        /**
         * bom规格列表
         */
        private List<BomSpec> bomSpecList;

    }

    @Getter
    @Setter
    @Builder
    public static class BomSpec {

        /**
         * 订单sku id
         */
        private Long orderSkuId;

        /**
         * bom规格id
         */
        private Long bomSpecId;

        /**
         * bom规格品号
         */
        private String bomSpecCode;

        /**
         * bom规格品名
         */
        private String bomSpecName;

        /**
         * 数量
         */
        private BigDecimal quantity;

        /**
         * bom单价
         */
        private BigDecimal unitPrice;

        /**
         * 激光logo
         */
        private BigDecimal laserLogoSummary;

        /**
         * 激光线粒体
         */
        private BigDecimal laserMitochondrialSummary;

        /**
         * 代发费
         */
        private BigDecimal lssueFeeSummary;

        /**
         * 快递包材费
         */
        private BigDecimal deliveryMaterialsFeeSummary;

        /**
         * 包装人工费
         */
        private BigDecimal packingLaborSummary;

    }

}
