package com.sd.business.mapper.department;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.department.po.Department;
import com.sd.business.entity.department.vo.DepartmentVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 事业部 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-05
 */
public interface DepartmentMapper extends BaseMapper<Department> {

    /**
     * 事业部分页
     */
    Page<DepartmentVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Department> wrapper);

    /**
     * 根据仓库编码获取事业部
     */
    Department getDepartmentByWarehouseCode(@Param("warehouseCode") String warehouseCode);

}
