package com.sd.business.scheduled;


import com.sd.business.service.inventory.InventoryBackupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Profile;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Profile({"test", "prod"})
@Component
public class InventoryBackupTask {

    @Autowired
    private InventoryBackupService inventoryBackupService;

    /**
     * 每天同步库存
     */
    @Scheduled(cron = "0 0 0 * * ?")
    public void syncInventory() {
        inventoryBackupService.sync();
    }

}
