package com.sd.business.service.bom.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.bom.dto.BomSpecDto;
import com.sd.business.entity.bom.dto.BomSpecSelectDto;
import com.sd.business.entity.bom.po.BomSpec;
import com.sd.business.entity.bom.vo.BomSpecVo;
import com.sd.business.mapper.bom.BomSpecMapper;
import com.sd.business.service.bom.BomSpecService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * bom规格 服务实现类
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@Service
public class BomSpecServiceImpl extends ServiceImpl<BomSpecMapper, BomSpec> implements BomSpecService {

    @Override
    public Page<BomSpecVo> getPage(BomSpecSelectDto dto) {
        IWrapper<BomSpec> wrapper = getWrapper();
        wrapper.orderByDesc("bs", BomSpec::getId);
        Page<BomSpecVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public BomSpecVo detail(Long id) {
        BomSpec bomSpec = this.getById(id);
        BomSpecVo result = BeanUtil.toBean(bomSpec, BomSpecVo.class);
        return result;
    }

    @Override
    public void add(BomSpecDto bomSpecDto) {
        this.save(bomSpecDto);
    }

    @Override
    public void edit(BomSpecDto bomSpecDto) {
        this.updateById(bomSpecDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
