package com.sd.business.service.contract.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.contract.dto.ContractTemplateDto;
import com.sd.business.entity.contract.dto.ContractTemplateSelectDto;
import com.sd.business.entity.contract.po.ContractTemplate;
import com.sd.business.entity.contract.vo.ContractTemplateVo;
import com.sd.business.mapper.contract.ContractTemplateMapper;
import com.sd.business.service.contract.ContractTemplateService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 合同模板 服务实现类
 * </p>
 *
 * @author
 * @since 2023-08-15
 */
@Service
public class ContractTemplateServiceImpl extends ServiceImpl<ContractTemplateMapper, ContractTemplate> implements ContractTemplateService {

    @Override
    public Page<ContractTemplateVo> getPage(ContractTemplateSelectDto dto) {
        IWrapper<ContractTemplate> wrapper = getWrapper();
        wrapper.orderByDesc("ct", ContractTemplate::getId);
        wrapper.like("ct", ContractTemplate::getName, dto.getName());

        return this.baseMapper.getPage(dto.getPage(), wrapper);
    }

    @Override
    public ContractTemplateVo detail(Long id) {
        ContractTemplate ContractTemplate = this.getById(id);
        ContractTemplateVo result = BeanUtil.toBean(ContractTemplate, ContractTemplateVo.class);
        return result;
    }

    @Override
    public void add(ContractTemplateDto contractTemplateDto) {
        this.save(contractTemplateDto);
    }

    @Override
    public void edit(ContractTemplateDto contractTemplateDto) {
        this.updateById(contractTemplateDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
