package com.sd.business.service.craft.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.craft.dto.CraftProcessDto;
import com.sd.business.entity.craft.dto.CraftProcessSelectDto;
import com.sd.business.entity.craft.po.CraftProcess;
import com.sd.business.entity.craft.vo.CraftProcessVo;
import com.sd.business.mapper.craft.CraftProcessMapper;
import com.sd.business.service.craft.CraftProcessService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 工艺_工序 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
@Service
public class CraftProcessServiceImpl extends ServiceImpl<CraftProcessMapper, CraftProcess> implements CraftProcessService {

    @Override
    public Page<CraftProcessVo> getPage(CraftProcessSelectDto dto) {
        IWrapper<CraftProcess> wrapper = getWrapper();
        wrapper.like("cp", CraftProcess::getName, dto.getName());
        wrapper.like("cp", CraftProcess::getCode, dto.getCode());
        wrapper.orderByDesc("cp", CraftProcess::getId);

        Page<CraftProcessVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public CraftProcessVo detail(Long id) {
        CraftProcess CraftProcess = this.getById(id);
        CraftProcessVo result = BeanUtil.toBean(CraftProcess, CraftProcessVo.class);
        return result;
    }

    @Override
    public void add(CraftProcessDto craftProcessDto) {
        this.save(craftProcessDto);
    }

    @Override
    public void edit(CraftProcessDto craftProcessDto) {
        this.updateById(craftProcessDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
