package com.sd.business.service.craft.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.craft.dto.CraftProductionLineProcessDto;
import com.sd.business.entity.craft.dto.CraftProductionLineProcessSelectDto;
import com.sd.business.entity.craft.po.CraftProductionLineProcess;
import com.sd.business.entity.craft.vo.CraftProductionLineProcessVo;
import com.sd.business.mapper.craft.CraftProductionLineProcessMapper;
import com.sd.business.service.craft.CraftProductionLineProcessService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 工艺_产线工序关联 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-26
 */
@Service
public class CraftProductionLineProcessServiceImpl extends ServiceImpl<CraftProductionLineProcessMapper, CraftProductionLineProcess> implements CraftProductionLineProcessService {

    @Override
    public Page<CraftProductionLineProcessVo> getPage(CraftProductionLineProcessSelectDto dto) {
        IWrapper<CraftProductionLineProcess> wrapper = getWrapper();
        wrapper.orderByDesc("cplp", CraftProductionLineProcess::getId);
        Page<CraftProductionLineProcessVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public CraftProductionLineProcessVo detail(Long id) {
        CraftProductionLineProcess CraftProductionLineProcess = this.getById(id);
        CraftProductionLineProcessVo result = BeanUtil.toBean(CraftProductionLineProcess, CraftProductionLineProcessVo.class);
        return result;
    }

    @Override
    public void add(CraftProductionLineProcessDto craftProductionLineProcessDto) {
        this.save(craftProductionLineProcessDto);
    }

    @Override
    public void edit(CraftProductionLineProcessDto craftProductionLineProcessDto) {
        this.updateById(craftProductionLineProcessDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
