package com.sd.business.service.department;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.department.dto.DepartmentDto;
import com.sd.business.entity.department.dto.DepartmentSelectDto;
import com.sd.business.entity.department.po.Department;
import com.sd.business.entity.department.vo.DepartmentVo;


/**
 * <p>
 * 事业部 服务类
 * </p>
 *
 * @author
 * @since 2023-07-05
 */
public interface DepartmentService extends BaseService<Department> {

    /**
     * 事业部分页
     */
    Page<DepartmentVo> getPage(DepartmentSelectDto dto);

    /**
     * 事业部明细
     */
    DepartmentVo detail(Long id);

    /**
     * 事业部新增
     */
    void add(DepartmentDto departmentDto);

    /**
     * 事业部编辑
     */
    void edit(DepartmentDto departmentDto);

    /**
     * 事业部删除
     */
    void delete(Long id);

    /**
     * 根据仓库编码获取事业部
     */
    Department getDepartmentByWarehouseCode(String warehouseCode);

}
