package com.sd.business.service.equipment.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.equipment.dto.EquipmentDto;
import com.sd.business.entity.equipment.dto.EquipmentSelectDto;
import com.sd.business.entity.equipment.po.Equipment;
import com.sd.business.entity.equipment.vo.EquipmentVo;
import com.sd.business.mapper.equipment.EquipmentMapper;
import com.sd.business.service.equipment.EquipmentService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 设备 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-25
 */
@Service
public class EquipmentServiceImpl extends ServiceImpl<EquipmentMapper, Equipment> implements EquipmentService {

    @Override
    public Page<EquipmentVo> getPage(EquipmentSelectDto dto) {
        IWrapper<Equipment> wrapper = getWrapper();
        wrapper.like("e", Equipment::getName, dto.getName());
        wrapper.like("e", Equipment::getCode, dto.getCode());
        wrapper.eq("e", Equipment::getCraftProcessId, dto.getCraftProcessId());
        wrapper.orderByDesc("e", Equipment::getId);

        Page<EquipmentVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public EquipmentVo detail(Long id) {
        Equipment Equipment = this.getById(id);
        EquipmentVo result = BeanUtil.toBean(Equipment, EquipmentVo.class);
        return result;
    }

    @Override
    public void add(EquipmentDto equipmentDto) {
        this.save(equipmentDto);
    }

    @Override
    public void edit(EquipmentDto equipmentDto) {
        this.updateById(equipmentDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
