package com.sd.business.service.express;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.express.dto.ExpressDeliveryDto;
import com.sd.business.entity.express.dto.ExpressDeliverySelectDto;
import com.sd.business.entity.express.po.ExpressDelivery;
import com.sd.business.entity.express.vo.ExpressDeliveryVo;


/**
 * <p>
 * 快递网点 服务类
 * </p>
 *
 * @author
 * @since 2023-07-21
 */
public interface ExpressDeliveryService extends BaseService<ExpressDelivery> {

    /**
     * 快递网点分页
     */
    Page<ExpressDeliveryVo> getPage(ExpressDeliverySelectDto dto);

    /**
     * 快递网点明细
     */
    ExpressDeliveryVo detail(Long id);

    /**
     * 快递网点新增
     */
    void add(ExpressDeliveryDto expressDeliveryDto);

    /**
     * 快递网点编辑
     */
    void edit(ExpressDeliveryDto expressDeliveryDto);

    /**
     * 快递网点删除
     */
    void delete(Long id);

}
