package com.sd.business.service.express.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.express.dto.ExpressDeliveryDto;
import com.sd.business.entity.express.dto.ExpressDeliverySelectDto;
import com.sd.business.entity.express.po.ExpressDelivery;
import com.sd.business.entity.express.vo.ExpressDeliveryVo;
import com.sd.business.mapper.express.ExpressDeliveryMapper;
import com.sd.business.service.express.ExpressDeliveryService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 快递网点 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-21
 */
@Service
public class ExpressDeliveryServiceImpl extends ServiceImpl<ExpressDeliveryMapper, ExpressDelivery> implements ExpressDeliveryService {

    @Override
    public Page<ExpressDeliveryVo> getPage(ExpressDeliverySelectDto dto) {
        IWrapper<ExpressDelivery> wrapper = getWrapper();
        wrapper.orderByDesc("ed", ExpressDelivery::getId);
        Page<ExpressDeliveryVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public ExpressDeliveryVo detail(Long id) {
        ExpressDelivery ExpressDelivery = this.getById(id);
        ExpressDeliveryVo result = BeanUtil.toBean(ExpressDelivery, ExpressDeliveryVo.class);
        return result;
    }

    @Override
    public void add(ExpressDeliveryDto expressDeliveryDto) {
        this.save(expressDeliveryDto);
    }

    @Override
    public void edit(ExpressDeliveryDto expressDeliveryDto) {
        this.updateById(expressDeliveryDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
