package com.sd.business.service.in.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.bom.po.BomSpec;
import com.sd.business.entity.in.dto.InOutStorageBomDto;
import com.sd.business.entity.in.dto.InOutStorageBomSelectDto;
import com.sd.business.entity.in.po.InOutStorage;
import com.sd.business.entity.in.po.InOutStorageBom;
import com.sd.business.entity.in.vo.InOutStorageBomVo;
import com.sd.business.entity.purchase.po.Purchase;
import com.sd.business.entity.warehouse.po.Warehouse;
import com.sd.business.mapper.in.InOutStorageBomMapper;
import com.sd.business.service.in.InOutStorageBomService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 出入库bom 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@Service
public class InOutStorageBomServiceImpl extends ServiceImpl<InOutStorageBomMapper, InOutStorageBom> implements InOutStorageBomService {

    @Override
    public Page<InOutStorageBomVo> getPage(InOutStorageBomSelectDto dto) {
        IWrapper<InOutStorageBom> wrapper = getWrapper();
        wrapper.orderByDesc("iosb", InOutStorageBom::getId);
        wrapper.like("ios", InOutStorage::getCode, dto.getCode());
        wrapper.like("p", Purchase::getCode, dto.getPurchaseCode());
        wrapper.like("bs", BomSpec::getCode, dto.getBomSpecCode());
        wrapper.like("bs", BomSpec::getName, dto.getBomSpecName());
        wrapper.eq("ios", InOutStorage::getDepartmentId, dto.getDepartmentId());
        wrapper.like("w", Warehouse::getName, dto.getWarehouseName());
        wrapper.eq("ios", InOutStorage::getType, dto.getType());
        wrapper.eq("ios", InOutStorage::getDetailType, dto.getDetailType());
        wrapper.ge("ios", InOutStorage::getCreateTime, dto.getBeginTime());
        wrapper.le("ios", InOutStorage::getCreateTime, dto.getEndTime());

        Page<InOutStorageBomVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public InOutStorageBomVo detail(Long id) {
        InOutStorageBom InOutStorageBom = this.getById(id);
        InOutStorageBomVo result = BeanUtil.toBean(InOutStorageBom, InOutStorageBomVo.class);
        return result;
    }

    @Override
    public void add(InOutStorageBomDto inOutStorageBomDto) {
        this.save(inOutStorageBomDto);
    }

    @Override
    public void edit(InOutStorageBomDto inOutStorageBomDto) {
        this.updateById(inOutStorageBomDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
