package com.sd.business.service.lend.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.lend.dto.LendDto;
import com.sd.business.entity.lend.dto.LendSelectDto;
import com.sd.business.entity.lend.po.Lend;
import com.sd.business.entity.lend.vo.LendVo;
import com.sd.business.mapper.lend.LendMapper;
import com.sd.business.service.lend.LendService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 借出单 服务实现类
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
@Service
public class LendServiceImpl extends ServiceImpl<LendMapper, Lend> implements LendService {

    @Override
    public Page<LendVo> getPage(LendSelectDto dto) {
        IWrapper<Lend> wrapper = getWrapper();
        wrapper.orderByDesc("l", Lend::getId);

        // 借出单号
        wrapper.like("l", Lend::getCode, dto.getCode());
        // 流程状态
        wrapper.eq("l", Lend::getFlowStatus, dto.getFlowStatus());
        // 归还状态
        wrapper.eq("l", Lend::getReturnStatus, dto.getReturnStatus());
        // 归还开始时间
        wrapper.ge("l", Lend::getReturnTime, dto.getBeginTime());
        // 归还结束时间
        wrapper.le("l", Lend::getReturnTime, dto.getEndTime());

        Page<LendVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public LendVo detail(Long id) {
        Lend Lend = this.getById(id);
        LendVo result = BeanUtil.toBean(Lend, LendVo.class);
        return result;
    }

    @Override
    public void edit(LendDto lendDto) {
        this.updateById(lendDto);
    }

}
