package com.sd.business.service.production.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.production.dto.ProductionTaskSelectDto;
import com.sd.business.entity.production.po.ProductionTask;
import com.sd.business.entity.production.vo.ProductionTaskVo;
import com.sd.business.mapper.production.ProductionTaskMapper;
import com.sd.business.service.production.ProductionTaskService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 生产任务 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
@Service
public class ProductionTaskServiceImpl extends ServiceImpl<ProductionTaskMapper, ProductionTask> implements ProductionTaskService {

    @Override
    public Page<ProductionTaskVo> getPage(ProductionTaskSelectDto dto) {
        IWrapper<ProductionTask> wrapper = getWrapper();
        wrapper.orderByDesc("pt", ProductionTask::getId);
        Page<ProductionTaskVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

}
