package com.sd.business.service.production.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.production.dto.ProductionWorkOrderSelectDto;
import com.sd.business.entity.production.po.ProductionWorkOrder;
import com.sd.business.entity.production.vo.ProductionWorkOrderVo;
import com.sd.business.mapper.production.ProductionWorkOrderMapper;
import com.sd.business.service.production.ProductionWorkOrderService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 生产工单 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
@Service
public class ProductionWorkOrderServiceImpl extends ServiceImpl<ProductionWorkOrderMapper, ProductionWorkOrder> implements ProductionWorkOrderService {

    @Override
    public Page<ProductionWorkOrderVo> getPage(ProductionWorkOrderSelectDto dto) {
        IWrapper<ProductionWorkOrder> wrapper = getWrapper();
        wrapper.orderByDesc("pwo", ProductionWorkOrder::getId);
        Page<ProductionWorkOrderVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

}
