package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.dto.PurchaseDto;
import com.sd.business.entity.purchase.dto.PurchaseSelectDto;
import com.sd.business.entity.purchase.po.Purchase;
import com.sd.business.entity.purchase.vo.PurchaseVo;


/**
 * <p>
 * 采购合同 服务类
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
public interface PurchaseService extends BaseService<Purchase> {

    /**
     * 采购合同分页
     */
    Page<PurchaseVo> getPage(PurchaseSelectDto dto);

    /**
     * 采购合同明细
     */
    PurchaseVo detail(Long id);

    /**
     * 采购合同新增
     */
    void add(PurchaseDto purchaseDto);

    /**
     * 采购合同编辑
     */
    void edit(PurchaseDto purchaseDto);

    /**
     * 采购合同删除
     */
    void delete(Long id);

}
