package com.sd.business.service.purchase.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.purchase.dto.PurchaseBomSelectDto;
import com.sd.business.entity.purchase.po.PurchaseBom;
import com.sd.business.entity.purchase.vo.PurchaseBomVo;
import com.sd.business.mapper.purchase.PurchaseBomMapper;
import com.sd.business.service.purchase.PurchaseBomService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 采购合同bom 服务实现类
 * </p>
 *
 * @author
 * @since 2023-08-07
 */
@Service
public class PurchaseBomServiceImpl extends ServiceImpl<PurchaseBomMapper, PurchaseBom> implements PurchaseBomService {

    @Override
    public Page<PurchaseBomVo> getPage(PurchaseBomSelectDto dto) {
        IWrapper<PurchaseBom> wrapper = getWrapper();
        wrapper.orderByDesc("pb", PurchaseBom::getId);
        Page<PurchaseBomVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public PurchaseBomVo detail(Long id) {
        PurchaseBom PurchaseBom = this.getById(id);
        PurchaseBomVo result = BeanUtil.toBean(PurchaseBom, PurchaseBomVo.class);
        return result;
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
