package com.sd.business.service.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.bom.bo.BomSpecBo;
import com.sd.business.entity.sku.dto.SkuSpecDto;
import com.sd.business.entity.sku.dto.SkuSpecSelectDto;
import com.sd.business.entity.sku.po.SkuSpec;
import com.sd.business.entity.sku.vo.SkuSpecVo;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * sku规格 服务类
 * </p>
 *
 * @author
 * @since 2023-07-05
 */
public interface SkuSpecService extends BaseService<SkuSpec> {

    /**
     * sku规格分页
     */
    Page<SkuSpecVo> getPage(SkuSpecSelectDto dto);

    /**
     * sku规格明细
     */
    SkuSpecVo detail(Long id);

    /**
     * sku规格新增
     */
    void add(SkuSpecDto skuSpecDto);

    /**
     * sku规格编辑
     */
    void edit(SkuSpecDto skuSpecDto);

    /**
     * sku规格删除
     */
    void delete(Long id);

    /**
     * 根据sku规格id获取bomId和bom规格id
     */
    Map<Long, BomSpecBo> getBomBoByIdList(List<Long> bomSpecIdList);

}
