package com.sd.business.service.sku.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.sku.dto.SkuSpecLinkDto;
import com.sd.business.entity.sku.dto.SkuSpecLinkSelectDto;
import com.sd.business.entity.sku.po.SkuSpecLink;
import com.sd.business.entity.sku.vo.SkuSpecLinkVo;
import com.sd.business.mapper.sku.SkuSpecLinkMapper;
import com.sd.business.service.sku.SkuSpecLinkService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * sku规格关联 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-07
 */
@Service
public class SkuSpecLinkServiceImpl extends ServiceImpl<SkuSpecLinkMapper, SkuSpecLink> implements SkuSpecLinkService {

    @Override
    public Page<SkuSpecLinkVo> getPage(SkuSpecLinkSelectDto dto) {
        IWrapper<SkuSpecLink> wrapper = getWrapper();
        wrapper.orderByDesc("ssl", SkuSpecLink::getId);
        Page<SkuSpecLinkVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public SkuSpecLinkVo detail(Long id) {
        SkuSpecLink SkuSpecLink = this.getById(id);
        SkuSpecLinkVo result = BeanUtil.toBean(SkuSpecLink, SkuSpecLinkVo.class);
        return result;
    }

    @Override
    public void add(SkuSpecLinkDto skuSpecLinkDto) {
        this.save(skuSpecLinkDto);
    }

    @Override
    public void edit(SkuSpecLinkDto skuSpecLinkDto) {
        this.updateById(skuSpecLinkDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
