package com.sd.business.service.statement;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.statement.dto.ExportDocumentDto;
import com.sd.business.entity.statement.dto.GetDocumentDto;
import com.sd.business.entity.statement.dto.StatementOfAccountMergePageDto;
import com.sd.business.entity.statement.vo.DocumentByBomVo;
import com.sd.business.entity.statement.vo.DocumentByOrderVo;
import com.sd.business.entity.statement.vo.DocumentBySkuVo;
import com.sd.business.entity.statement.vo.StatementOfAccountMergePageVo;

import java.util.List;

/**
 * <p>
 * 对账单 服务类
 * </p>
 *
 * @author
 * @since 2023-07-31
 */
public interface StatementOfAccountMergeService {

    /**
     * 对账报表分页
     */
    Page<StatementOfAccountMergePageVo> getPage(StatementOfAccountMergePageDto dto);

    /**
     * sku对账
     */
    List<DocumentBySkuVo> getDocumentBySku(GetDocumentDto dto);

    /**
     * bom对账
     */
    List<DocumentByBomVo> getDocumentByBom(GetDocumentDto dto);

    /**
     * 订单对账
     */
    List<DocumentByOrderVo> getDocumentByOrder(GetDocumentDto dto);

    /**
     * 导出
     *
     * @param dto  导出参数
     * @param type 1sku 2bom 3订单
     */
    void export(ExportDocumentDto dto, int type);

}
