package com.sd.business.service.statement;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.statement.dto.FileUploadDto;
import com.sd.business.entity.statement.dto.StatementOfAccountDto;
import com.sd.business.entity.statement.dto.StatementOfAccountSelectDto;
import com.sd.business.entity.statement.po.StatementOfAccount;
import com.sd.business.entity.statement.vo.*;

import java.util.List;


/**
 * <p>
 * 对账单 服务类
 * </p>
 *
 * @author
 * @since 2023-07-31
 */
public interface StatementOfAccountService extends BaseService<StatementOfAccount> {

    /**
     * 对账单分页
     */
    Page<StatementOfAccountVo> getPage(StatementOfAccountSelectDto dto);

    /**
     * 对账单明细
     */
    List<ReconciliationDetailVo> detail(Long id);

    /**
     * 对账单新增
     */
    void add(StatementOfAccountDto statementOfAccountDto);

    /**
     * 对账单编辑
     */
    void edit(StatementOfAccountDto statementOfAccountDto);

    /**
     * 对账单删除
     */
    void delete(Long id);

    /**
     * 更新文件
     */
    void editFile(FileUploadDto dto, int type);

    /**
     * sku对账
     */
    List<DocumentBySkuVo> getDocumentBySku(List<Long> statementOfAccountId);

    /**
     * bom对账
     */
    List<DocumentByBomVo> getDocumentByBom(List<Long> statementOfAccountId);

    /**
     * 订单对账
     */
    List<DocumentByOrderVo> getDocumentByOrder(List<Long> statementOfAccountId);

    /**
     * 导出
     *
     * @param id   对账单id
     * @param type 1sku 2bom 3订单
     */
    void export(Long id, int type);

}
