package com.sd.framework.util;

import java.math.BigDecimal;
import java.util.List;
import java.util.Objects;
import java.util.function.Function;

public class StreamUtil {

    /**
     * 数组某个字段值相加
     *
     * @param list   数组
     * @param mapper 字段
     * @return 相加结果
     */
    public static <T> BigDecimal bigDecimalAdd(List<T> list, Function<T, BigDecimal> mapper) {
        return list.stream().map(mapper).filter(Objects::nonNull).reduce(BigDecimal.ZERO, BigDecimal::add);
    }

}
